Jump to content
I*m with the pilots

Linux

Recommended Posts

I*m with the pilots

instalirala sam ubuntu 7.04 tj feisty i naravno, kao svaki ipak linux newbie (u smislu instaliranja, ne upotrebe) - malo pizdim sto mi ne ide skoro nista od rukeimam ati radeon 9200 (i tu vec postaje problem, posto ima resenja za >9500)ja imam otvoreno par tabova ovde na ubuntu forumima kako da instaliram jebeni drajver za grafiku i prvi put, kad sam sledila jedno upustvo, se na kraju nesto sjebalo. drugi put se prosto nije nista desilo, a treci put tj sad radim i pizdim sto mi se neke stvari uopste ne pojavljuju kao sto piseevo gde gledam:http://wiki.cchtml.com/index.php/Ubuntu_Fe...tallation_Guidehttp://ubuntuforums.org/showthread.php?t=5...ight=ati+driver (i ta dva linka koja su tu navedena)dakle gde sam u sustini zapela je ovo:sajt: http://wiki.cchtml.com/index.php/Ubuntu_Fe...tallation_Guidei deo: negde pre sredineInstall .deb packages:sudo dpkg -i xorg-driver-fglrx_8.41.7-1*.deb \fglrx-kernel-source_8.41.7-1*.deb \fglrx-amdcccle_8.41.7-1*.debja to uradim (a sve pre toga je bilo oke) i izbaci mi ovo

-e ==================================================-e ATI Technologies Linux Driver Installer/Packager-e ==================================================./ati-installer.sh: 165: Syntax error: Bad substitutionRemoving temporary directory: fglrx-installves@brahms:~/Desktop$ sudo dpkg -i xorg-driver-fglrx_8.41.7-1*.deb \> fglrx-kernel-source_8.41.7-1*.deb \> fglrx-amdcccle_8.41.7-1*.debdpkg: error processing xorg-driver-fglrx_8.41.7-1*.deb (--install):cannot access archive: No such file or directorydpkg: error processing fglrx-kernel-source_8.41.7-1*.deb (--install):cannot access archive: No such file or directorydpkg: error processing fglrx-amdcccle_8.41.7-1*.deb (--install):cannot access archive: No such file or directoryErrors were encountered while processing:xorg-driver-fglrx_8.41.7-1*.debfglrx-kernel-source_8.41.7-1*.debfglrx-amdcccle_8.41.7-1*.debves@brahms:~/Desktop$
any help?! hvala.

Share this post


Link to post
ToniAdams

aj told ju sou...:fashisto:

Share this post


Link to post
I*m with the pilots

ej ali fora je da meni ...radi graficka (nekako?!)..samo nije mi jasno kako, ali nije ipak sve u redu.-- imam problem sa rezolucijom npr, koja je kao defaultna rezolucija kod 17" monitora, a ja imam 19", i nece da mi da nista vise od 1024X768i nemoj mi tu ajtoldjusouvati >:

Share this post


Link to post
I*m with the pilots

fala gledamali i dalje posle toga tu on mi kaze

dpkg: error processing xorg-driver-fglrx_8.41.7-1*.deb (--install): cannot access archive: No such file or directoryErrors were encountered while processing: xorg-driver-fglrx_8.41.7-1*.deb
prosto, kaze da nema tog fajla. a to sam trebala dobiti neke fajlice kad sam bashovala taj drajver koji je skinut sa ati sajta (samo sam sledila uputstva). i nemam vise ideje sta da radim, possto je ovo neka od kljucnih stvari.

Share this post


Link to post
Razzmatazz

Ajmo polako...Prvo, kad skineš drajver, on nije u odgovarajućem obliku, nego sa sa "sh ati-trte-mrte --buildpkg Ubuntu/feisty" generišu deb paketi koje ubuntu može da proguta. Dakle, ako si to uradila, u istom diru bi trebalo da leži nekoliko deb fajlova. Je li to korektno?

Share this post


Link to post
I*m with the pilots
Ajmo polako...Prvo, kad skineš drajver, on nije u odgovarajućem obliku, nego sa sa "sh ati-trte-mrte --buildpkg Ubuntu/feisty" generišu deb paketi koje ubuntu može da proguta. Dakle, ako si to uradila, u istom diru bi trebalo da leži nekoliko deb fajlova. Je li to korektno?
da, znam da u linusku kad skines bilo sta - nije u odgovarajucem obliku :lol:poenta je da - nije - to kazem, uopste se nije doslo do pojave tih par deb fajlova (tamo kaze 3)tj ovo:
Type LS to get contents of your current directory, You should see Desktop and Examples. Everything is case sensitive in linux so type cd Desktop. You will now be in the desktop folder. Type LS again and you will see the file that you have downloaded. At this point you want to type in the terminalbash ./ati driver file name*.run --buildpkg Ubuntu/feisty This will put several files on your desktop which we can delete later.
ja to uradilai..nije prijavi ogresku, nista, samo se nista nije ni desilo

Share this post


Link to post
Razzmatazz

Ako ih nema, onda komanda "sudo dpkg -i..." definitivno nema smisla. Jesi li pogledala ovaj link koji sam bio ostavio? Tamo lepo piše da je problem na (k)ubuntu distrou pravilo i to što u upotrebi nije odgovarajući shell.Pa se to privremeno zameni:sudo mv /bin/sh /bin/SHsudo ln -s /bin/bash /bin/shTime se forsira da generički /bin/sh shell (koji je očigledno u ovoj ati-jevoj skripti upotrebljavan) predstavlja link do /bin/bash shella. I tada bi parsiranje instalacione skripte trebalo da prođe.Ako nisi to uradila, probaj prvo to, pa onda opet: sudo bash ati-driver-installer-8.41.7-x86.x86_64.run --buildpkg Ubuntu/feistypa da vidimo da li su onda deb fajlovi generisani ili ne.

Share this post


Link to post
I*m with the pilots

kad sam otisla ovde: http://wiki.cchtml.com/index.php/Hardware#RADEONpise: Unsupported HardwareThe Radeon 9200 and older video cards are no longer supported as of the 8.28.8 fglrx driver. The installer is still available on ATI's website. ati-driver-installer-8.28.8.run a ja sam upravo taj i probala instalirati tj uraditi ono sta su rekli..tako da ti ipak nisi u pravu sto se tice toga da mi treba 8.40.4 : (

Edited by I'm with the pilots

Share this post


Link to post
I*m with the pilots
Ako ih nema, onda komanda "sudo dpkg -i..." definitivno nema smisla. Jesi li pogledala ovaj link koji sam bio ostavio? Tamo lepo piše da je problem na (k)ubuntu distrou pravilo i to što u upotrebi nije odgovarajući shell.Pa se to privremeno zameni:sudo mv /bin/sh /bin/SHsudo ln -s /bin/bash /bin/shTime se forsira da generički /bin/sh shell (koji je očigledno u ovoj ati-jevoj skripti upotrebljavan) predstavlja link do /bin/bash shella. I tada bi parsiranje instalacione skripte trebalo da prođe.Ako nisi to uradila, probaj prvo to, pa onda opet: sudo bash ati-driver-installer-8.41.7-x86.x86_64.run --buildpkg Ubuntu/feistypa da vidimo da li su onda deb fajlovi generisani ili ne.
evo gledaj sad, uradila sam i:ves@brahms:~$ sudo mv /bin/sh /bin/SHPassword:ves@brahms:~$ sudo ln -s /bin/bash /bin/shves@brahms:~$ cd Desktopves@brahms:~/Desktop$ sudo bash ati-driver-installer-8.28.8.run --buildpkg Ubuntu/feistyCreating directory fglrx-installVerifying archive integrity... All good.Uncompressing ATI Proprietary Linux Driver-8.28.8................................................................................................................................................................................................................................................................................................................................................................................................................................................................................================================================== ATI Technologies Linux Driver Installer/Packager ==================================================Generating package: Ubuntu/feistyRequested package is not supported.Removing temporary directory: fglrx-installves@brahms:~/Desktop$ sta sad...uf.

Share this post


Link to post
Razzmatazz
kad sam otisla ovde: http://wiki.cchtml.com/index.php/Hardware#RADEONpise: Unsupported HardwareThe Radeon 9200 and older video cards are no longer supported as of the 8.28.8 fglrx driver. The installer is still available on ATI's website. ati-driver-installer-8.28.8.run a ja sam upravo taj i probala instalirati tj uraditi ono sta su rekli..tako da ti ipak nisi u pravu sto se tice toga da mi treba 8.40.4 : (
Pre par dana instalirah 8.40.4 na 9550, baš zato što 8.41.7 radi samo sa najnovijim kartama, pa sam pomislio da spada i 9200 u tu grupu.Enivej, to što taj drajver ne podržava tvoju kartu nije uzrok ovoj grešci koja ti se javlja, jer nisi ni došla uopšte do startovanja tog drajvera, tj. nisi uspela ni da ga raspakuješ. Kada startuješ X sa neodgovarajućim drajverom, ne javlja ti se "nisam uspeo da raspakujem", nego dobiješ crn ekran.Uglavnom, princip je isti: skineš drajver, uradiš prepakovanje:sudo ./ati-driver-installer-8.28.8.run --buildpkg Ubuntu/edgydobiješ deb pakete i instaliraš ih sa "sudo dpkg -i...".Međutim, ljudi su prijavljivali da su i sa tim drajverom imali ovih problema sa shellom i rešavali su ih na ovaj način. BTW, šta to radiš sa tom kartom na linuxu? Vrlo verovatno da ti i generički radeon drajver završava posao ako se radi o opštenoj desktop/surf mašini i ne treba uopšte da se mučiš sa instalacijom ati-jevih drajvera.

Share this post


Link to post
I*m with the pilots
Međutim, ljudi su prijavljivali da su i sa tim drajverom imali ovih problema sa shellom i rešavali su ih na ovaj način. BTW, šta to radiš sa tom kartom na linuxu? Vrlo verovatno da ti i generički radeon drajver završava posao ako se radi o opštenoj desktop/surf mašini i ne treba uopšte da se mučiš sa instalacijom ati-jevih drajvera.
uf - ja nesto se i ne kontam u graficke i to (ocito - vidljivo je da sam izabrala losiju kartu kad sam kupovala komp), sinoc kad sam instalirala drugar mi rece da treba skinuti to da bi mi sve radilo (npr multimedija i filmovi itd)i ja rekoh oke, ajd da to uradimza sta ce meni trebati linux (isto za sta i WIN): zabava (mjuz, film, net) + programiranje (c, c++, java - taj deo je sasvim oke) + matlab (i za to sam se snasla)dakle..nikakvi photoshopovi, compiz i ta fensi sranja, samo osnovnoako ti mislis da ne treba da se petljam sa ovim sto sam pokusala nego je dovoljno to sta imam: ja cu biti presrecnaostaje samo pitanje rezolucije: kako da dodjem do defaultnih 1200X1024 ili koliko je vec (imam 19" od pre par dana pa se ne snalazim)

Share this post


Link to post
Razzmatazz
ves@brahms:~$ cd Desktopves@brahms:~/Desktop$ sudo bash ati-driver-installer-8.28.8.run --buildpkg Ubuntu/feisty
probaj sa:sudo bash ati-driver-installer-8.28.8.run ---listpkgi viči šta javlja

Share this post


Link to post
I*m with the pilots
probaj sa:sudo bash ati-driver-installer-8.28.8.run ---listpkgi viči šta javlja
-- a ne --- ;)ves@brahms:~/Desktop$ sudo bash ati-driver-installer-8.28.8.run --listpkgCreating directory fglrx-installVerifying archive integrity... All good.Uncompressing ATI Proprietary Linux Driver-8.28.8................................................................................................................................................................................................................................................................................................................................................................................................................................................................................================================================== ATI Technologies Linux Driver Installer/Packager ==================================================List of generatable packages:Package Maintainer(s): Aric Cyr <acyr@gmail.com>Status: VerifiedDebian Packages: Debian/woody Debian/oldstable Debian/sarge Debian/stable Debian/sid Debian/unstable Debian/etch Debian/testing Debian/experimentalPackage Maintainer(s): Niko Mirthes <nmirthes@gmail.com>Status: VerifiedFedora Packages: Fedora/FC3 Fedora/FC4 Fedora/FC5 Fedora/FC6 Fedora/RHEL3 Fedora/RHEL4Package Maintainer(s): Arnaud Patard <apatard@mandriva.com>Status: VerifiedMandriva Packages: Mandriva/2006 Mandriva/2007Package Maintainer(s): ATIStatus: VerifiedRedHat Packages: RedHat/RHEL3_64a RedHat/RHEL3 RedHat/RHEL4_64a RedHat/RHEL4Package Maintainer(s): Stefan Dirsch <sdirsch@suse.de>Status: VerifiedSuSE Packages: SuSE/NLD9-AMD64 SuSE/SLES9-AMD64 SuSE/SUSE91-AMD64 SuSE/NLD9-IA32 SuSE/SLES9-IA32 SuSE/SUSE91-IA32 SuSE/SUSE100-AMD64 SuSE/SUSE92-AMD64 SuSE/SUSE93-AMD64 SuSE/SUSE100-IA32 SuSE/SUSE92-IA32 SuSE/SUSE93-IA32 SuSE/SLED10-AMD64 SuSE/SLES10-AMD64 SuSE/SUSE101-AMD64 SuSE/SLED10-IA32 SuSE/SLES10-IA32 SuSE/SUSE101-IA32 SuSE/SUSE102-AMD64 SuSE/SUSE102-IA32Package Maintainer(s): Aric Cyr <acyr@gmail.com>Status: VerifiedUbuntu Packages: Ubuntu/warty Ubuntu/4.10 Ubuntu/hoary Ubuntu/5.04 Ubuntu/breezy Ubuntu/5.10 Ubuntu/dapper Ubuntu/6.06 Ubuntu/edgy Ubuntu/6.10For example, to build a Debian Etch package, run the following:% ./ati-driver-installer-<version>-<architecture>.run --buildpkg Debian/etchRemoving temporary directory: fglrx-installves@brahms:~/Desktop$ da nije u onom boldovanom problem?

Share this post


Link to post
Razzmatazz
uf - ja nesto se i ne kontam u graficke i to (ocito - vidljivo je da sam izabrala losiju kartu kad sam kupovala komp), sinoc kad sam instalirala drugar mi rece da treba skinuti to da bi mi sve radilo (npr multimedija i filmovi itd)i ja rekoh oke, ajd da to uradimza sta ce meni trebati linux (isto za sta i WIN): zabava (mjuz, film, net) + programiranje (c, c++, java - taj deo je sasvim oke) + matlab (i za to sam se snasla)dakle..nikakvi photoshopovi, compiz i ta fensi sranja, samo osnovno
Ne, tebi u principu nije neophodan ATI-jev drajver (on je potreban prvenstveno za 3D, a to nije ni jedna od ovih stavki), ali da probamo prvo da ga namestimo.Ako ne ide, dobar je i ovaj radeon drajver. što se rezolucije tiče, to možeš i mišem da namestiš:g-c-c.png

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...